Bug 1017204 - calibre: mathjax is bundled
calibre: mathjax is bundled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1016677
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 08:40 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-11-12 21:09 EST (History)
5 users (show)

See Also:
Fixed In Version: calibre-1.9.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 21:09:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cleanup patch (7.19 KB, patch)
2013-11-04 14:23 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
unbundle mathjax patch (2.06 KB, patch)
2013-11-04 14:23 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
install shell completion scripts nicely (1.84 KB, patch)
2013-11-04 14:24 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
fix exception on shutdown (2.48 KB, patch)
2013-11-04 14:24 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-09 08:40:04 EDT
Hi,

I'm currently packaging MathJax, so it can be unbundled from the IPython package. Please have a look at https://bugzilla.redhat.com/show_bug.cgi?id=1016677 (koji builds are linked there), hopefully the new package is good enough to unbundle mathjax from calibre.

Version-Release number of selected component (if applicable):
calibre-0:1.3.0-2.fc20.x86_64
Comment 1 Kevin Fenzi 2013-10-14 17:45:22 EDT
This looks ok to me from a quick glance.

I'm happy to try it and adjust as needed to keep things working. 

Thanks for working on this. ;) 

Please let us know when the package is available and ready and we can adjust calibre to use it.
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-10-28 10:43:56 EDT
mathjax is now a package: https://admin.fedoraproject.org/updates/mathjax-2.2-3.fc20
Comment 3 Kevin Fenzi 2013-11-01 15:44:12 EDT
Excellent. 

So, would you care to try unbundling this in rawhide at least? 

Or perhaps one of my co-maintainers would be willing to give it a try. Should be just removing all those files in prep and then linking them to the system versions/adding requires.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-11-04 14:22:12 EST
So, I prepared some patches, also fixing some small issues I found:

1. cleanup: remove deprecated invocations and simplify things a bit, cleanup whitespace
2. unbundle mathjax
3. fix exception on shutdown
4. install bash completion script in /usr/share, and install zsh completion script

I tested this lightly, http://manual.calibre-ebook.com/_static/mathjax.epub at least displays properly.
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-11-04 14:23:19 EST
Created attachment 819325 [details]
cleanup patch
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-11-04 14:23:50 EST
Created attachment 819326 [details]
unbundle mathjax patch
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-11-04 14:24:24 EST
Created attachment 819327 [details]
install shell completion scripts nicely
Comment 8 Zbigniew Jędrzejewski-Szmek 2013-11-04 14:24:48 EST
Created attachment 819328 [details]
fix exception on shutdown
Comment 9 Kevin Fenzi 2013-11-04 15:08:39 EST
Cool. I can look at this in the next few days... or if you like I'd be happy to grant you acls and you could push it to rawhide. ;)
Comment 10 Zbigniew Jędrzejewski-Szmek 2013-11-05 16:45:43 EST
I applied for commit privileges for F20 and rawhide.
Comment 11 Kevin Fenzi 2013-11-05 16:53:34 EST
Approved them. Thanks very much for working on this... it's appreciated. ;)
Comment 12 Zbigniew Jędrzejewski-Szmek 2013-11-06 01:39:12 EST
(In reply to Kevin Fenzi from comment #11)
> Approved them. Thanks very much for working on this... it's appreciated. ;)
Ooops, I pushed the changes to F20 git before I noticed that it was still at the old version. Do you want to keep the update or should I revert the version change?
Comment 13 Kevin Fenzi 2013-11-06 10:38:31 EST
I'm ok to update f20 too. 

I am getting this on upgrades this morning though: 

Transaction check error:
  file /usr/share/calibre/viewer/mathjax from install of calibre-1.9.0-3.fc21.x86_64 conflicts with file from package calibre-1.9.0-1.fc21.x86_64

I guess it's the old rpm can't handle directory moving to a symlink? ;(
Comment 14 Fedora Update System 2013-11-06 23:18:48 EST
calibre-1.9.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/calibre-1.9.0-4.fc20
Comment 15 Fedora Update System 2013-11-07 14:08:06 EST
Package calibre-1.9.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing calibre-1.9.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20864/calibre-1.9.0-4.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-11-12 21:09:04 EST
calibre-1.9.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.